Zum Hauptinhalt springen
GET
/
automation
/
actions
/
2026-03
/
{appId}
/
{definitionId}
Eine benutzerdefinierte Aktionsdefinition abrufen
curl --request GET \
  --url https://api.hubapi.com/automation/actions/2026-03/{appId}/{definitionId} \
  --header 'Authorization: Bearer <token>'
{
  "actionUrl": "<string>",
  "functions": [
    {
      "id": "<string>"
    }
  ],
  "id": "<string>",
  "inputFields": [
    {
      "isRequired": true,
      "typeDefinition": {
        "name": "<string>",
        "options": [
          {
            "label": "<string>",
            "value": "<string>",
            "description": "<string>",
            "displayOrder": 123
          }
        ],
        "description": "<string>",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>"
      },
      "supportedValueTypes": []
    }
  ],
  "labels": {},
  "objectTypes": [
    "<string>"
  ],
  "published": true,
  "revisionId": "<string>",
  "archivedAt": 123,
  "executionRules": [
    {
      "conditions": {},
      "labelName": "<string>"
    }
  ],
  "inputFieldDependencies": [
    {
      "controllingFieldName": "<string>",
      "dependencyType": "SINGLE_FIELD",
      "dependentFieldNames": [
        "<string>"
      ]
    }
  ],
  "objectRequestOptions": {
    "properties": [
      "<string>"
    ]
  },
  "outputFields": [
    {
      "typeDefinition": {
        "externalOptions": true,
        "name": "<string>",
        "options": [
          {
            "description": "<string>",
            "displayOrder": 123,
            "doubleData": 123,
            "hidden": true,
            "label": "<string>",
            "readOnly": true,
            "value": "<string>"
          }
        ],
        "schema": {
          "type": "INTEGER",
          "maximum": 123,
          "minimum": 123
        },
        "useChirp": true,
        "description": "<string>",
        "externalOptionsReferenceType": "<string>",
        "helpText": "<string>",
        "label": "<string>",
        "optionsUrl": "<string>"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.de/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

appId
integer<int32>
erforderlich
definitionId
string
erforderlich

Abfrageparameter

archived
boolean
Standard:false

Ob nur Ergebnisse zurückgegeben werden sollen, die archiviert wurden.

Antwort

successful operation

actionUrl
string
erforderlich
functions
object[]
erforderlich
id
string
erforderlich
inputFields
object[]
erforderlich
labels
object
erforderlich
objectTypes
string[]
erforderlich
published
boolean
erforderlich
revisionId
string
erforderlich
archivedAt
integer<int64>
executionRules
object[]
inputFieldDependencies
(SINGLE_FIELD · object | CONDITIONAL_SINGLE_FIELD · object)[]
objectRequestOptions
object
outputFields
object[]
Last modified on April 13, 2026